Bug 10912 - linuxconf post dhcpd.conf edit halts system
Summary: linuxconf post dhcpd.conf edit halts system
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-19 09:45 UTC by Jack Harkins
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 14:18:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Harkins 2000-04-19 09:45:52 UTC
In my RedHat 6.0 setup, I have included DHCP.

At first i created the /etc/dhcpd.conf by hand with vi. No problem.

At a later time, i made a few alterations to the mentioned dhcp
configuration file with the graphic tool linuxconf. This caused a system
hang at the next boot, when the dhcp daemon was activated. (Blinking
cursor - no further progress in boot).
Booted with a rescue disc, and renamed the configuration file,
unrecognisable to the daemon.
Rebooted normally succesful.

An anlysis of the configuration file showed, that linuxconf had used tab
stops as field delimiters instead of blank spaces. I then edited by vi,
left all parameters as is, but replaced tab stops with spaces. Heureka -
painless boot again.

This makes me assume, that linuxconf did something wrong.

I should perhaps add, that I use a dk-latin1 keyboard, allthough it has
not given problems in any other aspects.

Regards
Chr. Hansen

Comment 1 Trond Eivind Glomsrxd 2001-04-18 21:08:09 UTC
dhcpd.conf editing by linuxconf was disabled for Red Hat Linux 7.


Note You need to log in before you can comment on or make changes to this bug.